Retail Express API 2.1

Gets specific Product by unique id

Gets specific Product by unique id

get
https://api.retailexpress.com.au/v2.1/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product

Product

Product Model

* Additional properties are NOT allowed.
carton_quantitystring | null

Carton quantity

cogs_exnumber(double)

Cogs ex

cubicnumber(double)

Cubic

direct_costs_exnumber | null(double)

Direct costs

prevent_disablingboolean | null

Is product disabled

promotional_price_incnumber | null(double)

Discount price

promotional_price_expirystring | null(date-time)

Discount price expiry

freight_incnumber | null(double)

Freight inc

price_exnumber | null(double)

Price ex

rrp_incnumber | null(double)

Rpr inc

sell_price_incnumber | null(double)

Sell Price, cannot be used along with markup_target

>= -922337203685477.6<= 922337203685477.6

web_price_incnumber | null(double)

Web price

markup_targetnumber | null(double)

Markup Target %, cannot be used along with sell_price_inc

breadthnumber | null(double)

Breadth

>= -9999.9999<= 9999.9999

core_productboolean

Is core product flag

custom_propertiesarray | null[object]

Custom Property Model

* Additional properties are NOT allowed.
Show Child Parameters
depthnumber | null(double)

Depth

>= -9999.9999<= 9999.9999

disabledboolean | null

Disabled

idinteger | null(int32)

Product id.

lead_timeinteger | null(int32)

Lead time

lengthnumber | null(double)

Length

>= -9999.9999<= 9999.9999

loyalty_rationumber | null(double)

Loyalty Ratio

manufacturer_skustring | null

Manufacture SKU

product_typeobject

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
requires_assemblyboolean

Requires Assembly

shipping_cubicnumber | null(double)

Shipping Cubic

>= -999999.9999<= 999999.9999

short_descriptionstring | null

Product description.

supplierobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_skustring | null

Supplier SKU.

supplier_sku2string | null

Supplier SKU2.

weightnumber | null(double)

Weight

>= -99999999.9999<= 99999999.9999

buy_price_exnumber | null(double)

Buy price ex

long_descriptionstring | null

Long description

voucher_productboolean

Voucher product

max_discount_ruleobject

Max Discount Rule Model

* Additional properties are NOT allowed.
Show Child Parameters
replenishment_methodobject
* Additional properties are NOT allowed.
Show Child Parameters
attributesarray | null[object]

Product attributes

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring | null(date-time)

Modified on

inventoryarray | null[object]

Product Inventory Model

* Additional properties are NOT allowed.
Show Child Parameters
sales_channelsarray | null[object]

Product Sales Chanels

* Additional properties are NOT allowed.
Show Child Parameters
export_to_webboolean | null

Export To Web

packageboolean

Package

has_package_productsboolean

Has Package Products

last_sold_onstring | null(date-time)

Last Processed Sold

require_serial_numberinteger(int32)

Require SerialNumber

last_fulfiled_onstring | null(date-time)

Last Fulfiled

external_linksarray | null[object]

Product External Links

* Additional properties are NOT allowed.
Show Child Parameters
fixed_price_groupsarray | null[object]

Product Fixed Price Groups

* Additional properties are NOT allowed.
Show Child Parameters
price_groupsarray | null[object]

Product Standart Price Groups

* Additional properties are NOT allowed.
Show Child Parameters
get/products/{id}
 
application/json

Disables specific Product by id 1) Hides the product from reports and Stocktake by default 2) Turns off communication between Retail Express and eCommerce/Web Store integrations 3) Excluded from Product Search in POS

Disables specific Product by id

  1. Hides the product from reports and Stocktake by default
  2. Turns off communication between Retail Express and eCommerce/Web Store integrations
  3. Excluded from Product Search in POS
delete
https://api.retailexpress.com.au/v2.1/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product disabled

delete/products/{id}
 

Updates Product

Sample request:

 PUT /products
 {
    "carton_quantity":1,
    "cogs_ex":11.1,
    "cubic":20.2,
    "direct_costs_ex":1.1,
    "prevent_disabling":false,
    "promotional_price_inc":1.1,
    "promotional_price_expiry":"2021-12-12T00:00:00",
    "freight_inc":1.1,
    "rrp_inc":1.1,
    "sell_price_inc":1.1,
    "web_price_inc":1.1,
    "breadth":1.1,
    "core_product":false,
    "custom_properties": [
         {
             "Name": "Custom1",
             "Value": "Value1"
         },
         {
             "Name": "Custom2",
             "Value": "Value2"
         }
    ],
    "depth":1.1,
    "disabled":false,
    "lead_time":12,
    "length":1.1,
    "loyalty_ratio":1.1,
    "manufacturer_sku":"UniqueManufacturerSku",
    "product_type":{
       "id":3
    },
    "requires_assembly":false,
    "require_serial_number":1,
    "shipping_cubic":1.1,
    "short_description":"ShortDescription",
    "supplier":{
        "supplier_code":"00"
    },
    "supplier_buy_ex":1.1,
    "supplier_sku":"SupplierSKU1",
    "supplier_sku2":"SupplierSKU2",
    "weight":1.1,
    "buy_price_ex" : 0.0000,
    "attributes":[
       {
          "value":{
             "id":1
          },
          "id":3
       }
    ],
    "long_description": "sample text",
    "voucher_product" : false,
    "max_discount_rule":{
         "id": 1
    },
    "replenishment_method": {
          "id": 1
    },
    "sales_channels":[
         {
             "id": 1,
             "source_group": 
             {
                 "id": 1
             },
             "enabled": true
         }],
   "export_to_web": false ,
    "external_links":[
       {
             "id": 1,
             "url": "https://test1.com"
         },
         {
             "id": 2,
             "url": "https://test2.com"
         },
         {
             "id": 3,
             "url": "https://test3.com"
         }
    ],
    "fixed_price_groups": [
         {
             "id": 1,
             "price_inc": 15.5
         },
         {
             "id": 2,
             "price_inc": null
         }
    ]
 }
put
https://api.retailexpress.com.au/v2.1/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Product

Product

Product Model

* Additional properties are NOT allowed.
carton_quantitystring | null

Carton quantity

cogs_exnumber(double)

Cogs ex

cubicnumber(double)

Cubic

direct_costs_exnumber | null(double)

Direct costs

prevent_disablingboolean | null

Is product disabled

promotional_price_incnumber | null(double)

Discount price

promotional_price_expirystring | null(date-time)

Discount price expiry

freight_incnumber | null(double)

Freight inc

price_exnumber | null(double)

Price ex

rrp_incnumber | null(double)

Rpr inc

sell_price_incnumber | null(double)

Sell Price, cannot be used along with markup_target

>= -922337203685477.6<= 922337203685477.6

web_price_incnumber | null(double)

Web price

markup_targetnumber | null(double)

Markup Target %, cannot be used along with sell_price_inc

breadthnumber | null(double)

Breadth

>= -9999.9999<= 9999.9999

core_productboolean

Is core product flag

custom_propertiesarray | null[object]

Custom Property Model

* Additional properties are NOT allowed.
Show Child Parameters
depthnumber | null(double)

Depth

>= -9999.9999<= 9999.9999

disabledboolean | null

Disabled

idinteger | null(int32)

Product id.

lead_timeinteger | null(int32)

Lead time

lengthnumber | null(double)

Length

>= -9999.9999<= 9999.9999

loyalty_rationumber | null(double)

Loyalty Ratio

manufacturer_skustring | null

Manufacture SKU

product_typeobject

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
requires_assemblyboolean

Requires Assembly

shipping_cubicnumber | null(double)

Shipping Cubic

>= -999999.9999<= 999999.9999

short_descriptionstring | null

Product description.

supplierobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_skustring | null

Supplier SKU.

supplier_sku2string | null

Supplier SKU2.

weightnumber | null(double)

Weight

>= -99999999.9999<= 99999999.9999

buy_price_exnumber | null(double)

Buy price ex

long_descriptionstring | null

Long description

voucher_productboolean

Voucher product

max_discount_ruleobject

Max Discount Rule Model

* Additional properties are NOT allowed.
Show Child Parameters
replenishment_methodobject
* Additional properties are NOT allowed.
Show Child Parameters
attributesarray | null[object]

Product attributes

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring | null(date-time)

Modified on

inventoryarray | null[object]

Product Inventory Model

* Additional properties are NOT allowed.
Show Child Parameters
sales_channelsarray | null[object]

Product Sales Chanels

* Additional properties are NOT allowed.
Show Child Parameters
export_to_webboolean | null

Export To Web

packageboolean

Package

has_package_productsboolean

Has Package Products

last_sold_onstring | null(date-time)

Last Processed Sold

require_serial_numberinteger(int32)

Require SerialNumber

last_fulfiled_onstring | null(date-time)

Last Fulfiled

external_linksarray | null[object]

Product External Links

* Additional properties are NOT allowed.
Show Child Parameters
fixed_price_groupsarray | null[object]

Product Fixed Price Groups

* Additional properties are NOT allowed.
Show Child Parameters
price_groupsarray | null[object]

Product Standart Price Groups

* Additional properties are NOT allowed.
Show Child Parameters
put/products/{id}

Body

{}
 
application/json

Searches Product Barcodes by Product id and other parameters

Searches Product Barcodes by Product id and other parameters

get
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes

Query Parameters

barcodestring | null

Product barcode name

enabledboolean | null

Product barcode enabled

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Product id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Barcodes data

ProductBarcode.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Barcode model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/products/{id}/barcodes
 
application/json

Creates Product Barcode

Sample request:

 POST /products/2/barcodes
  {
     "barcode": "BARCODENAME", 
     "enabled": true
  }
post
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes

Path Parameters

idinteger(int32)required

Product id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was created

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

post/products/{id}/barcodes

Body

{}
 
application/json